POST/projects/api/v3/projects/{projectId}/workflows.json

Applies a workflow to a project

Path Params

  • Name
    projectId
    Type
    integer
    required
    Description

Body Params

ApplyProjectRequest contains the information for applying a project to a workflow

    • Name
      workflow
      Type
      object
    • Name
      workflowOptions
      Type
      object

    Responses

    • Code
      201
      Type
      object
      Schema
      Description
      201 Created
      Response contains information about a specific workflow.
    • Code
      400
      Type
      object
      Schema
      Description
      400 Bad Request
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      403
      Type
      object
      Schema
      Description
      403 Forbidden
      ErrorResponse defines how []Error should be marshaled to JSON.

    Examples

    201 Created

    Response
    {  "included": {    "ProjectPermissions": {      "additionalProp": {        "active": true,        "addExpenses": true,        "addFiles": true,        "addForms": true,        "addLinks": true,        "addMessages": true,        "addMilestones": true,        "addNotebooks": true,        "addProjectUpdate": true,        "addRisks": true,        "addTaskLists": true,        "addTasks": true,        "addTime": true,        "canAccess": true,